## ros-noetic-pilz-robots 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pilz_robots)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-pilz-robots (0.6.0-1focal) focal; urgency=high

  * Adds adapted branching model & ci badge (#476 <https://github.com/PilzDE/pilz_robots/issues/476>)
    * Adapt README.md for noetic
    * Replace old Travis CI badges with Github CI
  * Ports the driver to noetic. Includes moveing the trajectory planner to moveit
    * changes the references of the pilz_command_planner to the pilz_industrial_command_planner in moveit
    * fixes compatibility with ubuntu 20, noetic and colcon
    * changes CI to noetic and ubuntu 20
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 18 Apr 2021 22:00:00 -0000

ros-noetic-pilz-robots (0.5.21-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-noetic-pilz-robots (0.5.20-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-noetic-pilz-robots (0.5.19-1focal) focal; urgency=high

  * add pilz_status_indicator_rqt to meta-package (#421)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-noetic-pilz-robots (0.5.18-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-noetic-pilz-robots (0.5.17-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-noetic-pilz-robots (0.5.16-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-noetic-pilz-robots (0.5.15-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-noetic-pilz-robots (0.5.14-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-noetic-pilz-robots (0.5.13-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-noetic-pilz-robots (0.5.12-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-noetic-pilz-robots (0.5.11-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-noetic-pilz-robots (0.5.10-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.9-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.8-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.7-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.6-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.5-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.4-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.3-1focal) focal; urgency=high

  * drop outdated can configurationss
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-noetic-pilz-robots (0.5.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robots (0.5.1-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-noetic-pilz-robots (0.5.0-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-noetic-pilz-robots (0.4.3-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-noetic-pilz-robots (0.4.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-noetic-pilz-robots (0.4.1-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-noetic-pilz-robots (0.4.0-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

ros-noetic-pilz-robots (0.3.0-1focal) focal; urgency=high

  * separate gripper from the package (update readme, next release to melodic as well)

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 14 Aug 2018 22:00:00 -0000

ros-noetic-pilz-robots (0.2.1-1focal) focal; urgency=high

  * Add <url> tag to all package.xml files
  * update readme

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 18 Jul 2018 22:00:00 -0000

ros-noetic-pilz-robots (0.2.0-1focal) focal; urgency=high

  * metapackage for pilz_robots
  * Contributors: Alexander Gutenkunst, Fahri Demirci, Hagen Slusarek, Immanuel Martini, Joachim Schleicher, Kai Hu

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-pilz-robots
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/pilz_robots
Standards-Version: 3.9.2

Package: ros-noetic-pilz-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pilz-control, ros-noetic-pilz-status-indicator-rqt, ros-noetic-prbt-hardware-support, ros-noetic-prbt-ikfast-manipulator-plugin, ros-noetic-prbt-moveit-config, ros-noetic-prbt-support
Description: The metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pilz-robots//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
